#ifndef PKMNLIB_AI_BUILDLIBRARY_HPP
#define PKMNLIB_AI_BUILDLIBRARY_HPP

#include <PkmnLib/Battling/Library/BattleLibrary.hpp>
#include <filesystem>
#include "BuildItems.hpp"
#include "BuildMoves.hpp"
#include "BuildNatures.hpp"
#include "BuildSpecies.hpp"
#include "BuildTypes.hpp"
#include "GrowthRatesBuilder.hpp"

class BuildLibrary {
    static PkmnLib::Library::TimeOfDay GetTime() { return PkmnLib::Library::TimeOfDay::Morning; }

public:

    static void LogBuildTimes();

    static PkmnLib::Battling::BattleLibrary*
    Build(const std::string& pathString,
          std::function<void(PkmnLib::Battling::ScriptResolver*)> onScriptInitialize = {});
};

#endif // PKMNLIB_AI_BUILDLIBRARY_HPP
