#ifndef GEN7TESTS_BUILDSPECIES_HPP
#define GEN7TESTS_BUILDSPECIES_HPP
#define LEVEL_U8 1
#include <CreatureLib/Library/TypeLibrary.hpp>
#include <PkmnLib/Library/PokemonLibrary.hpp>
#include <string>
#include "json.hpp"
using json = nlohmann::json;

class BuildSpecies {
    static const PkmnLib::Library::PokemonForme* BuildForme(const std::string& name, const json& forme,
                                                            const std::string& baseKeyName, const std::string& path,
                                                            const CreatureLib::Library::TypeLibrary* typeLibrary,
                                                            const CreatureLib::Library::TalentLibrary* talentLibrary,
                                                            const PkmnLib::Library::MoveLibrary* moveLibrary);

public:
    static PkmnLib::Library::SpeciesLibrary* BuildLibrary(const std::string& path,
                                                          const CreatureLib::Library::TypeLibrary* types,
                                                          const CreatureLib::Library::TalentLibrary* talentLibrary,
                                                          const PkmnLib::Library::MoveLibrary* moveLibrary);
};

#endif // GEN7TESTS_BUILDSPECIES_HPP
